Business Hours
GET
/workspaces/{workspaceId}/business-hours
Retrieve a list of defined business hours, showcasing their names, and other information.
Parámetros de consulta
limit
integer
Limits the number of results to return.
pageToken
string
The cursor that keeps track of the current position in the results.
reverse
boolean
Reverses the order in which the results are returned.
Cuerpo de la respuesta
results
array of object
obligatorio
Mostrar atributos secundarios
results.id
string
obligatorio
results.name
string
obligatorio
results.description
string
results.timezone
string
obligatorio
results.weeklySchedule
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.monday
object
Mostrar atributos secundarios
results.weeklySchedule.monday.from
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.monday.from.hour
integer
obligatorio
results.weeklySchedule.monday.from.minute
integer
results.weeklySchedule.monday.to
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.monday.to.hour
integer
obligatorio
results.weeklySchedule.monday.to.minute
integer
results.weeklySchedule.tuesday
object
Mostrar atributos secundarios
results.weeklySchedule.tuesday.from
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.tuesday.from.hour
integer
obligatorio
results.weeklySchedule.tuesday.from.minute
integer
results.weeklySchedule.tuesday.to
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.tuesday.to.hour
integer
obligatorio
results.weeklySchedule.tuesday.to.minute
integer
results.weeklySchedule.wednesday
object
Mostrar atributos secundarios
results.weeklySchedule.wednesday.from
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.wednesday.from.hour
integer
obligatorio
results.weeklySchedule.wednesday.from.minute
integer
results.weeklySchedule.wednesday.to
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.wednesday.to.hour
integer
obligatorio
results.weeklySchedule.wednesday.to.minute
integer
results.weeklySchedule.thursday
object
Mostrar atributos secundarios
results.weeklySchedule.thursday.from
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.thursday.from.hour
integer
obligatorio
results.weeklySchedule.thursday.from.minute
integer
results.weeklySchedule.thursday.to
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.thursday.to.hour
integer
obligatorio
results.weeklySchedule.thursday.to.minute
integer
results.weeklySchedule.friday
object
Mostrar atributos secundarios
results.weeklySchedule.friday.from
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.friday.from.hour
integer
obligatorio
results.weeklySchedule.friday.from.minute
integer
results.weeklySchedule.friday.to
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.friday.to.hour
integer
obligatorio
results.weeklySchedule.friday.to.minute
integer
results.weeklySchedule.saturday
object
Mostrar atributos secundarios
results.weeklySchedule.saturday.from
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.saturday.from.hour
integer
obligatorio
results.weeklySchedule.saturday.from.minute
integer
results.weeklySchedule.saturday.to
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.saturday.to.hour
integer
obligatorio
results.weeklySchedule.saturday.to.minute
integer
results.weeklySchedule.sunday
object
Mostrar atributos secundarios
results.weeklySchedule.sunday.from
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.sunday.from.hour
integer
obligatorio
results.weeklySchedule.sunday.from.minute
integer
results.weeklySchedule.sunday.to
object
obligatorio
Mostrar atributos secundarios
results.weeklySchedule.sunday.to.hour
integer
obligatorio
results.weeklySchedule.sunday.to.minute
integer
results.holidays
array of object
obligatorio
Mostrar atributos secundarios
results.holidays.name
string
obligatorio
results.holidays.day
integer
obligatorio
results.holidays.month
integer
obligatorio
results.assignedTeamIds
array of string
results.createdAt
string
obligatorio
results.updatedAt
string
obligatorio
results.currentStatus
string
Possible values: open, closed
results.nextOpenTime
string
The next time the business will be open. Null when business is currently open or permanently closed.
results.nextCloseTime
string
The next time the business will close. Null when business is currently closed or permanently closed.
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/business-hours' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'POST
/workspaces/{workspaceId}/business-hours
Define and create new business hours, specifying the name, schedule.
Cuerpo de la solicitud
name
string
obligatorio
description
string
timezone
string
obligatorio
weeklySchedule
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.monday
object
Mostrar parámetros secundarios
weeklySchedule.monday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.monday.from.hour
integer
obligatorio
weeklySchedule.monday.from.minute
integer
weeklySchedule.monday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.monday.to.hour
integer
obligatorio
weeklySchedule.monday.to.minute
integer
weeklySchedule.tuesday
object
Mostrar parámetros secundarios
weeklySchedule.tuesday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.tuesday.from.hour
integer
obligatorio
weeklySchedule.tuesday.from.minute
integer
weeklySchedule.tuesday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.tuesday.to.hour
integer
obligatorio
weeklySchedule.tuesday.to.minute
integer
weeklySchedule.wednesday
object
Mostrar parámetros secundarios
weeklySchedule.wednesday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.wednesday.from.hour
integer
obligatorio
weeklySchedule.wednesday.from.minute
integer
weeklySchedule.wednesday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.wednesday.to.hour
integer
obligatorio
weeklySchedule.wednesday.to.minute
integer
weeklySchedule.thursday
object
Mostrar parámetros secundarios
weeklySchedule.thursday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.thursday.from.hour
integer
obligatorio
weeklySchedule.thursday.from.minute
integer
weeklySchedule.thursday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.thursday.to.hour
integer
obligatorio
weeklySchedule.thursday.to.minute
integer
weeklySchedule.friday
object
Mostrar parámetros secundarios
weeklySchedule.friday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.friday.from.hour
integer
obligatorio
weeklySchedule.friday.from.minute
integer
weeklySchedule.friday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.friday.to.hour
integer
obligatorio
weeklySchedule.friday.to.minute
integer
weeklySchedule.saturday
object
Mostrar parámetros secundarios
weeklySchedule.saturday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.saturday.from.hour
integer
obligatorio
weeklySchedule.saturday.from.minute
integer
weeklySchedule.saturday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.saturday.to.hour
integer
obligatorio
weeklySchedule.saturday.to.minute
integer
weeklySchedule.sunday
object
Mostrar parámetros secundarios
weeklySchedule.sunday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.sunday.from.hour
integer
obligatorio
weeklySchedule.sunday.from.minute
integer
weeklySchedule.sunday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.sunday.to.hour
integer
obligatorio
weeklySchedule.sunday.to.minute
integer
holidays
array of object
obligatorio
Mostrar parámetros secundarios
holidays.name
string
obligatorio
holidays.day
integer
obligatorio
holidays.month
integer
obligatorio
assignedTeamIds
array of string
Ejemplo de código
curl -X POST 'https://api.bird.com/workspaces/{workspaceId}/business-hours' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/business-hours/{businessHourId}
Retrieve information about specific business hours, including their name, schedule.
Cuerpo de la respuesta
id
string
obligatorio
name
string
obligatorio
description
string
timezone
string
obligatorio
weeklySchedule
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.monday
object
Mostrar atributos secundarios
weeklySchedule.monday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.monday.from.hour
integer
obligatorio
weeklySchedule.monday.from.minute
integer
weeklySchedule.monday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.monday.to.hour
integer
obligatorio
weeklySchedule.monday.to.minute
integer
weeklySchedule.tuesday
object
Mostrar atributos secundarios
weeklySchedule.tuesday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.tuesday.from.hour
integer
obligatorio
weeklySchedule.tuesday.from.minute
integer
weeklySchedule.tuesday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.tuesday.to.hour
integer
obligatorio
weeklySchedule.tuesday.to.minute
integer
weeklySchedule.wednesday
object
Mostrar atributos secundarios
weeklySchedule.wednesday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.wednesday.from.hour
integer
obligatorio
weeklySchedule.wednesday.from.minute
integer
weeklySchedule.wednesday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.wednesday.to.hour
integer
obligatorio
weeklySchedule.wednesday.to.minute
integer
weeklySchedule.thursday
object
Mostrar atributos secundarios
weeklySchedule.thursday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.thursday.from.hour
integer
obligatorio
weeklySchedule.thursday.from.minute
integer
weeklySchedule.thursday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.thursday.to.hour
integer
obligatorio
weeklySchedule.thursday.to.minute
integer
weeklySchedule.friday
object
Mostrar atributos secundarios
weeklySchedule.friday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.friday.from.hour
integer
obligatorio
weeklySchedule.friday.from.minute
integer
weeklySchedule.friday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.friday.to.hour
integer
obligatorio
weeklySchedule.friday.to.minute
integer
weeklySchedule.saturday
object
Mostrar atributos secundarios
weeklySchedule.saturday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.saturday.from.hour
integer
obligatorio
weeklySchedule.saturday.from.minute
integer
weeklySchedule.saturday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.saturday.to.hour
integer
obligatorio
weeklySchedule.saturday.to.minute
integer
weeklySchedule.sunday
object
Mostrar atributos secundarios
weeklySchedule.sunday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.sunday.from.hour
integer
obligatorio
weeklySchedule.sunday.from.minute
integer
weeklySchedule.sunday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.sunday.to.hour
integer
obligatorio
weeklySchedule.sunday.to.minute
integer
holidays
array of object
obligatorio
Mostrar atributos secundarios
holidays.name
string
obligatorio
holidays.day
integer
obligatorio
holidays.month
integer
obligatorio
assignedTeamIds
array of string
createdAt
string
obligatorio
updatedAt
string
obligatorio
currentStatus
string
Possible values: open, closed
nextOpenTime
string
The next time the business will be open. Null when business is currently open or permanently closed.
nextCloseTime
string
The next time the business will close. Null when business is currently closed or permanently closed.
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/business-hours/{businessHourId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/workspaces/{workspaceId}/business-hours/{businessHourId}
Modify the details of specific business hours, such as their name, schedule.
Cuerpo de la solicitud
name
string
description
string
timezone
string
weeklySchedule
object
Mostrar parámetros secundarios
weeklySchedule.monday
object
Mostrar parámetros secundarios
weeklySchedule.monday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.monday.from.hour
integer
obligatorio
weeklySchedule.monday.from.minute
integer
weeklySchedule.monday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.monday.to.hour
integer
obligatorio
weeklySchedule.monday.to.minute
integer
weeklySchedule.tuesday
object
Mostrar parámetros secundarios
weeklySchedule.tuesday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.tuesday.from.hour
integer
obligatorio
weeklySchedule.tuesday.from.minute
integer
weeklySchedule.tuesday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.tuesday.to.hour
integer
obligatorio
weeklySchedule.tuesday.to.minute
integer
weeklySchedule.wednesday
object
Mostrar parámetros secundarios
weeklySchedule.wednesday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.wednesday.from.hour
integer
obligatorio
weeklySchedule.wednesday.from.minute
integer
weeklySchedule.wednesday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.wednesday.to.hour
integer
obligatorio
weeklySchedule.wednesday.to.minute
integer
weeklySchedule.thursday
object
Mostrar parámetros secundarios
weeklySchedule.thursday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.thursday.from.hour
integer
obligatorio
weeklySchedule.thursday.from.minute
integer
weeklySchedule.thursday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.thursday.to.hour
integer
obligatorio
weeklySchedule.thursday.to.minute
integer
weeklySchedule.friday
object
Mostrar parámetros secundarios
weeklySchedule.friday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.friday.from.hour
integer
obligatorio
weeklySchedule.friday.from.minute
integer
weeklySchedule.friday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.friday.to.hour
integer
obligatorio
weeklySchedule.friday.to.minute
integer
weeklySchedule.saturday
object
Mostrar parámetros secundarios
weeklySchedule.saturday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.saturday.from.hour
integer
obligatorio
weeklySchedule.saturday.from.minute
integer
weeklySchedule.saturday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.saturday.to.hour
integer
obligatorio
weeklySchedule.saturday.to.minute
integer
weeklySchedule.sunday
object
Mostrar parámetros secundarios
weeklySchedule.sunday.from
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.sunday.from.hour
integer
obligatorio
weeklySchedule.sunday.from.minute
integer
weeklySchedule.sunday.to
object
obligatorio
Mostrar parámetros secundarios
weeklySchedule.sunday.to.hour
integer
obligatorio
weeklySchedule.sunday.to.minute
integer
holidays
array of object
Mostrar parámetros secundarios
holidays.name
string
obligatorio
holidays.day
integer
obligatorio
holidays.month
integer
obligatorio
assignedTeamIds
array of string
Cuerpo de la respuesta
id
string
obligatorio
name
string
obligatorio
description
string
timezone
string
obligatorio
weeklySchedule
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.monday
object
Mostrar atributos secundarios
weeklySchedule.monday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.monday.from.hour
integer
obligatorio
weeklySchedule.monday.from.minute
integer
weeklySchedule.monday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.monday.to.hour
integer
obligatorio
weeklySchedule.monday.to.minute
integer
weeklySchedule.tuesday
object
Mostrar atributos secundarios
weeklySchedule.tuesday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.tuesday.from.hour
integer
obligatorio
weeklySchedule.tuesday.from.minute
integer
weeklySchedule.tuesday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.tuesday.to.hour
integer
obligatorio
weeklySchedule.tuesday.to.minute
integer
weeklySchedule.wednesday
object
Mostrar atributos secundarios
weeklySchedule.wednesday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.wednesday.from.hour
integer
obligatorio
weeklySchedule.wednesday.from.minute
integer
weeklySchedule.wednesday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.wednesday.to.hour
integer
obligatorio
weeklySchedule.wednesday.to.minute
integer
weeklySchedule.thursday
object
Mostrar atributos secundarios
weeklySchedule.thursday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.thursday.from.hour
integer
obligatorio
weeklySchedule.thursday.from.minute
integer
weeklySchedule.thursday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.thursday.to.hour
integer
obligatorio
weeklySchedule.thursday.to.minute
integer
weeklySchedule.friday
object
Mostrar atributos secundarios
weeklySchedule.friday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.friday.from.hour
integer
obligatorio
weeklySchedule.friday.from.minute
integer
weeklySchedule.friday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.friday.to.hour
integer
obligatorio
weeklySchedule.friday.to.minute
integer
weeklySchedule.saturday
object
Mostrar atributos secundarios
weeklySchedule.saturday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.saturday.from.hour
integer
obligatorio
weeklySchedule.saturday.from.minute
integer
weeklySchedule.saturday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.saturday.to.hour
integer
obligatorio
weeklySchedule.saturday.to.minute
integer
weeklySchedule.sunday
object
Mostrar atributos secundarios
weeklySchedule.sunday.from
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.sunday.from.hour
integer
obligatorio
weeklySchedule.sunday.from.minute
integer
weeklySchedule.sunday.to
object
obligatorio
Mostrar atributos secundarios
weeklySchedule.sunday.to.hour
integer
obligatorio
weeklySchedule.sunday.to.minute
integer
holidays
array of object
obligatorio
Mostrar atributos secundarios
holidays.name
string
obligatorio
holidays.day
integer
obligatorio
holidays.month
integer
obligatorio
assignedTeamIds
array of string
createdAt
string
obligatorio
updatedAt
string
obligatorio
currentStatus
string
Possible values: open, closed
nextOpenTime
string
The next time the business will be open. Null when business is currently open or permanently closed.
nextCloseTime
string
The next time the business will close. Null when business is currently closed or permanently closed.
Ejemplo de código
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/business-hours/{businessHourId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'DELETE
/workspaces/{workspaceId}/business-hours/{businessHourId}
Remove specific business hours, permanently deleting their defined schedule.
Ejemplo de código
curl -X DELETE 'https://api.bird.com/workspaces/{workspaceId}/business-hours/{businessHourId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/workspaces/{workspaceId}/business-hours/{businessHourId}/check
Determine if the current time falls within the defined business hours, providing information on availability.
Cuerpo de la respuesta
isOpen
boolean
obligatorio
Ejemplo de código
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/business-hours/{businessHourId}/check' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'